# Custom SDK Style

{% hint style="info" %}
Customizing is possible only in the initial step of the configuration of SensePass's SDK client.\
If unfimiliar with the configuration step, refer to the [Config](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk#step-1-configuration) step.
{% endhint %}

### Customizable themes

#### When configuring the SDK, you may set the following code as the configuration object:

<pre class="language-javascript" data-line-numbers><code class="lang-javascript">const spClient = SensePassFrontEndSDK.config({
   mode: "sandbox", // "sandbox" | "production"
   debug: true, // optional for logs
   visualizer: true, // optional visual logs, requires HTML with id="sensepass-front-end-visualizer"
<strong>   clientId: 'aee8d2cdc1cb...', // a SensePass's "clientId"
</strong>   methodType: "manual_capture", // type for the transaction, defaults to "manual_capture", enum: "manual_capture" | "tokenize"
   theme: { // optional theme for various packages
	/** angular material provides extensive documentation on customizing their theme
	* you can find it at: https://material.angular.io/guide/theming */
	material: "https://pay.sandbox.sensepass.com/publicAssets/themes/custom-sample-material.theme.css", // sample for a customized material theme
	sensepassEcommerce: "https://pay.sandbox.sensepass.com/publicAssets/themes/custom-sample-ecommerce.theme.css", // sample for a customized sensepass theme
	paymentMethodGrid: "horizontal", // horizontal | vertical style of the payment options
	config: {} // a configuration object for specific payment methods text/animations
   }
})
</code></pre>

Download and edit the following themes you wish to style on your own:

1. Material theme: <https://pay.sandbox.sensepass.com/publicAssets/themes/material.theme.css>
2. SensePass theme: [https://pay.sandbox.sensepass.com/publicAssets/themes/ecommerce.theme.css](https://pay.sandbox.sensepass.com/publicAssets/themes/material.theme.css)
3. Save your themes in a hosting site of your choosing and set their URL in the config JSON.
4. Use the [SDK Theme Config Model](/sensepay/transaction-api/models/sdk-theme-config-model.md) to set you custom text and other UI configurations.

You may test your themes on our playground: <https://js.sensepass.com>\
![](/files/SxRH5iQL17BPF5mfidWc)![](/files/DgdqUyvLoMiICvyaDV6F)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/custom-sdk-style.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
